Package com.sun.jna.platform.win32

## Class WinDef.LONGLONG

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.LONGLONG

All Implemented Interfaces:
  `NativeMapped`, `java.io.Serializable`, `java.lang.Comparable<WinDef.LONGLONG>`

Enclosing interface:
  WinDef

    public static class WinDef.LONGLONG
    extends IntegerType
    implements java.lang.Comparable<WinDef.LONGLONG>

The Class LONGLONG.

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `SIZE` The Constant SIZE.

### Constructor Summary

Constructors
`LONGLONG()` Instantiates a new LONGLONG.
`LONGLONG​(long value)` Instantiates a new LONGLONG.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(WinDef.LONGLONG other)`

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SIZE

    public static final int SIZE

The Constant SIZE.

### Constructor Detail

#### LONGLONG

    public LONGLONG()

Instantiates a new LONGLONG.

#### LONGLONG

    public LONGLONG​(long value)

Instantiates a new LONGLONG.

Parameters:
  `value` - the value

### Method Detail

#### compareTo

    public int compareTo​(WinDef.LONGLONG other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<WinDef.LONGLONG>`